Create one operation dependency
post
/fscmRestApi/resources/11.13.18.05/workDefinitionRequests/{workDefinitionRequestsUniqID}/child/workDefinitionHeaders/{workDefinitionHeadersUniqID}/child/operationDependencies
Request
Path Parameters
-
workDefinitionHeadersUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Work Definition Headers resource and used to uniquely identify an instance of Work Definition Headers. The client should not generate the hash key value. Instead, the client should query on the Work Definition Headers collection resource in order to navigate to a specific instance of Work Definition Headers to get the hash key.
-
workDefinitionRequestsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Work Definition Requests resource and used to uniquely identify an instance of Work Definition Requests. The client should not generate the hash key value. Instead, the client should query on the Work Definition Requests collection resource in order to navigate to a specific instance of Work Definition Requests to get the hash key.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
ActionCode: string
Maximum Length:
30Value that specifies the desired action to perform on the operation dependency of a work definition operation. Valid values are: CREATE, UPDATE, or DELETE. -
DependencyType: string
Maximum Length:
30Indicates the dependency type between previous and next work operations in the operation dependency setup. Valid values are: Finish-to-start or Start-to-start. -
ErrorMessageNames: string
Maximum Length:
255Names of the error messages that occurred when processing the work definition operation. Each text string in the ErrorMessages attribute corresponds to one error message name in the ErrorMessageNames attribute. A comma (,) separates each message name. -
ErrorMessages: string
Maximum Length:
2000Text of the error message, if any, that occurred when processing the work definition operation. Each text string in the ErrorMessages attribute corresponds to one error message name in the ErrorMessageNames attribute. A double dollar sign ($$) separates each message. -
NextOperationSequenceNumber: number
The operation that's executed after completion of the current operation, as defined in this operation dependency.
-
PreviousOperationSequenceNumber: number
The operation that's executed prior to the current operation.
-
TransferPercent: number
Indicates the percent of batch quantity that's transferred from the current operation to the next operation in the operation dependency setup. For the first operation dependency, if the process batch quantity type is calculated, the transfer percentage is null because there's no previous operation to transfer from. The transfer percentage of the last operation dependency is always null because there's no next operation to transfer to.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : workDefinitionRequests-workDefinitionHeaders-operationDependencies-item-response
Type:
Show Source
object-
ActionCode: string
Maximum Length:
30Value that specifies the desired action to perform on the operation dependency of a work definition operation. Valid values are: CREATE, UPDATE, or DELETE. -
DependencyType: string
Maximum Length:
30Indicates the dependency type between previous and next work operations in the operation dependency setup. Valid values are: Finish-to-start or Start-to-start. -
ErrorMessageNames: string
Maximum Length:
255Names of the error messages that occurred when processing the work definition operation. Each text string in the ErrorMessages attribute corresponds to one error message name in the ErrorMessageNames attribute. A comma (,) separates each message name. -
ErrorMessages: string
Maximum Length:
2000Text of the error message, if any, that occurred when processing the work definition operation. Each text string in the ErrorMessages attribute corresponds to one error message name in the ErrorMessageNames attribute. A double dollar sign ($$) separates each message. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NextOperationSequenceNumber: number
The operation that's executed after completion of the current operation, as defined in this operation dependency.
-
PreviousOperationSequenceNumber: number
The operation that's executed prior to the current operation.
-
TransferPercent: number
Indicates the percent of batch quantity that's transferred from the current operation to the next operation in the operation dependency setup. For the first operation dependency, if the process batch quantity type is calculated, the transfer percentage is null because there's no previous operation to transfer from. The transfer percentage of the last operation dependency is always null because there's no next operation to transfer to.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.